%define subrel	3
%define srcname	stone_soup

Name:           crawl
Version:        0.10.0
Release:        %mkrel 1
Summary:        Dungeon Crawl Stone Soup, a roguelike RPG
License:        GPLv2+
Group:          Games/Adventure
Url:		http://crawl.develz.org/

Source0: 	http://sourceforge.net/projects/crawl-ref/files/%{version}/%{srcname}-%{version}-nodeps.tar.xz
Patch0:		%{name}-0.10.0-mga-fixinstall.patch

BuildRequires:  libncursesw-devel
BuildRequires:	lua-devel >= 5.1
BuildRequires:  sqlite3-devel
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	SDL_image-devel
BuildRequires:  ImageMagick

%description
Dungeon Crawl Stone Soup is a free roguelike game of exploration and
treasure-hunting in dungeons filled with dangerous and unfriendly
monsters in a quest for the mystifyingly fabulous Orb of Zot.

The game has diverse species and many different character backgrounds
to choose from, deep tactical game-play, sophisticated magic, religion
and skill systems, and a grand variety of monsters to fight and run
from, making each game unique and challenging.

%package -n %{name}-common-data
Summary: Common data for both game versions
Group: Games/Adventure

%description -n %{name}-common-data
This package contains common data used by the console and the tiles
version of the game.

%package -n %{name}-console
Summary: Console version of Dungeon Crawl Stone Soup, a roguelike RPG
Group: Games/Adventure
Requires: %{name}-common-data

%description -n %{name}-console
Dungeon Crawl Stone Soup is a free roguelike game of exploration and
treasure-hunting in dungeons filled with dangerous and unfriendly
monsters in a quest for the mystifyingly fabulous Orb of Zot.

The game has diverse species and many different character backgrounds
to choose from, deep tactical game-play, sophisticated magic, religion
and skill systems, and a grand variety of monsters to fight and run
from, making each game unique and challenging.

This package contains the console version of Dungeon Crawl Stone Soup
(with ASCII characters). You can find a graphical version
with tiles in the package crawl-tiles.

%package -n %{name}-tiles
Summary: Tiles version of Dungeon Crawl Stone Soup, a roguelike RPG
Group: Games/Adventure
Requires: %{name}-common-data

%description -n %{name}-tiles
Dungeon Crawl Stone Soup is a free roguelike game of exploration and
treasure-hunting in dungeons filled with dangerous and unfriendly
monsters in a quest for the mystifyingly fabulous Orb of Zot.

The game has diverse species and many different character backgrounds
to choose from, deep tactical game-play, sophisticated magic, religion
and skill systems, and a grand variety of monsters to fight and run
from, making each game unique and challenging.

This package contains the tiles version of Dungeon Crawl Stone Soup.
You can find a console version with ASCII characters in the package
crawl-console.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p0

%build
cd source/
%make prefix=%{_prefix} DATADIR=%{_gamesdatadir}/%{name} BINDIR=%{_gamesbindir} DOCDIR=%{_docdir}/%{name} DISPLAYTYPE=console
mv %{name} ../%{name}-console
%make prefix=%{_prefix} DATADIR=%{_gamesdatadir}/%{name} BINDIR=%{_gamesbindir} DOCDIR=%{_docdir}/%{name} DISPLAYTYPE=tiles TILES=y

%install
cd source/
%makeinstall_std prefix=%{_prefix} DATADIR=%{_gamesdatadir}/%{name} BINDIR=%{_gamesbindir} DOCDIR=%{_docdir}/%{name} DISPLAYTYPE=tiles TILES=y
cd ..
install -m0755 %{name}-console %{buildroot}%{_gamesbindir}

convert source/util/%{name}.ico %{name}.png
mkdir -p %{buildroot}%{_miconsdir}
cp %{name}-9.png %{buildroot}%{_miconsdir}/%{name}.png
mkdir -p %{buildroot}%{_liconsdir}
cp %{name}-7.png %{buildroot}%{_liconsdir}/%{name}.png
mkdir -p %{buildroot}%{_iconsdir}
cp %{name}-8.png %{buildroot}%{_iconsdir}/%{name}.png

# Menu entry
mkdir -p %{buildroot}%{_datadir}/applications/
%{__cat} > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Dungeon Crawl Stone Soup
Comment=Roguelike game with 2D graphics
Exec=crawl-tiles
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;AdventureGame;
EOF

%files -n %{name}-common-data
%defattr(-,root,root)
%doc *txt *pdf
%doc %{_docdir}/%{name}/
%{_gamesdatadir}/%{name}/

%files -n %{name}-console
%defattr(-,root,root)
%{_gamesbindir}/%{name}-console

%files -n %{name}-tiles
%defattr(-,root,root)
%{_gamesbindir}/%{name}-tiles
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/*


%changelog

* Mon Jul 23 2012 obgr_seneca <obgr_seneca> 0.10.0-1.3.mga2
+ Revision: 273681
- Removed second menu subcategory
- added missing br for imagemagick

  + akien <akien>
    - Menu entry added for crawl-tiles (following comment 2 in bug 6519)
    - Fix of a packaging bug preventing crawl-console from launching
    - Update of crawl to version 0.10.0

* Tue Nov 29 2011 akien <akien> 0.9.1-1.mga2
+ Revision: 174314
- Addition of missing BuildRequires: SDL_image-devel, pkgsubmit(freetype)
- Added a missing build dependency:  zlib-devel
- removed sound enabling since there are no official nor redistributable sound files
- imported package crawl


* Sun Oct 30 2011 Rémi Verschelde <akien@mageia.org> 0.9.1-1.mga2
- Created for Mageia 2
